[R-SIG-Mac] installation of affy under Mac OS X 10.5.6 (Leopard)

Kjell Konis kjell.konis at epfl.ch
Tue Apr 21 15:35:21 CEST 2009

It looks like you don't have all the development tools installed.  The  
missing library /usr/local/lib/libgfortran.2.dylib is part of the  
Fortran compiler which is included with the full R installer.


On 21 avr. 09, at 15:10, Massimo Pinto wrote:

> Error in dyn.load(file, DLLpath = DLLpath, ...) :
>  unable to load shared library
> '/Library/Frameworks/R.framework/Resources/library/preprocessCore/ 
> libs/i386/preprocessCore.so':
>  dlopen(/Library/Frameworks/R.framework/Resources/library/ 
> preprocessCore/libs/i386/preprocessCore.so,
> 6): Library not loaded: /usr/local/lib/libgfortran.2.dylib
>  Referenced from:
> /Library/Frameworks/R.framework/Resources/library/preprocessCore/ 
> libs/i386/preprocessCore.so
>  Reason: image not found
> Error: package/namespace load failed for 'affy'

More information about the R-SIG-Mac mailing list